Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.rules
Class AbstractJspRule

    java.lang.Object
      net.sourceforge.pmd.CommonAbstractRule
          net.sourceforge.pmd.jsp.rules.AbstractJspRule

All Implemented Interfaces:
  JspParserVisitor, Rule

Direct Known Subclasses:
  DuplicateJspImports, NoInlineStyleInformation

    public abstract class AbstractJspRule

extends CommonAbstractRule
implements JspParserVisitor

Field Summary

Fields inherited from interface net.sourceforge.pmd.Rule
`LOWEST_PRIORITY, PRIORITIES`

Constructor Summary
`AbstractJspRule()`

Method Summary
`protected void` | `addViolation(java.lang.Object data, Node node, java.lang.Object[] args)` Adds a violation to the report.
`protected void` | `addViolation(java.lang.Object data, SimpleNode node)` Adds a violation to the report.
`protected void` | `addViolation(java.lang.Object data, SimpleNode node, java.lang.String embed)` Adds a violation to the report.
`protected void` | `addViolationWithMessage(java.lang.Object data, SimpleNode node, java.lang.String msg)` Adds a violation to the report.
`void` | `apply(java.util.List acus, RuleContext ctx)` Apply this rule to the given collection of compilation units, using the given context.
`void` | `setUsesTypeResolution()` Sets whether this Rule uses Type Resolution.
`java.lang.Object` | `visit(ASTAttribute node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAttributeValue node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTCData node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTCommentTag node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTCompilationUnit node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTContent node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDoctypeDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDoctypeExternalId node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTElement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTElExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspComment node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspDirectiveAttribute node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspDirective node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspExpressionInAttribute node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspScriptlet node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTText node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTUnparsedText node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTValueBinding node, java.lang.Object data)`
`java.lang.Object` | `visit(SimpleNode node, java.lang.Object data)`
`protected void` | `visitAll(java.util.List acus, RuleContext ctx)`

Methods inherited from class net.sourceforge.pmd.CommonAbstractRule
`addExample, addProperties, addProperty, addRuleChainVisit, asFixedMap, asFixedMap, end, equals, getBooleanProperties, getBooleanProperty, getBooleanProperty, getDescription, getDoubleProperties, getDoubleProperty, getDoubleProperty, getExample, getExamples, getExternalInfoUrl, getIntProperties, getIntProperty, getIntProperty, getMessage, getName, getPriority, getPriorityName, getProperties, getRuleChainVisits, getRuleClass, getRuleSetName, getSince, getStringProperties, getStringProperty, getStringProperty, getTypeProperties, getTypeProperty, hashCode, hasProperty, include, propertiesByName, propertyDescriptorFor, setDescription, setExternalInfoUrl, setInclude, setMessage, setName, setPriority, setProperties, setProperty, setRuleClass, setRuleSetName, setSince, setUsesDFA, start, usesDFA, usesRuleChain, usesTypeResolution`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJspRule

    public AbstractJspRule()

Method Detail

### setUsesTypeResolution

    public void setUsesTypeResolution()

  Description copied from interface: `Rule`
  Sets whether this Rule uses Type Resolution.

  Specified by:
    `setUsesTypeResolution` in interface `Rule`
  Overrides:
    `setUsesTypeResolution` in class `CommonAbstractRule`

### addViolation

    protected final void addViolation(java.lang.Object data,
                                      SimpleNode node)

  Adds a violation to the report.

  Parameters:
    `data` - the RuleContext
    `node` - the node that produces the violation

### addViolationWithMessage

    protected final void addViolationWithMessage(java.lang.Object data,
                                                 SimpleNode node,
                                                 java.lang.String msg)

  Adds a violation to the report.

  Parameters:
    `data` - the RuleContext
    `node` - the node that produces the violation
    `msg` - specific message to put in the report

### addViolation

    protected final void addViolation(java.lang.Object data,
                                      SimpleNode node,
                                      java.lang.String embed)

  Adds a violation to the report.

  Parameters:
    `data` - the RuleContext
    `node` - the node that produces the violation
    `embed` - a variable to embed in the rule violation message

### addViolation

    protected final void addViolation(java.lang.Object data,
                                      Node node,
                                      java.lang.Object[] args)

  Adds a violation to the report.

  Parameters:
    `data` - the RuleContext
    `node` - the node that produces the violation, may be null, in which case all line and column info will be set to zero
    `args` - objects to embed in the rule violation message

### apply

    public void apply(java.util.List acus,
                      RuleContext ctx)

  Description copied from interface: `Rule`
  Apply this rule to the given collection of compilation units, using the given context.

  Specified by:
    `apply` in interface `Rule`

### visitAll

    protected void visitAll(java.util.List acus,
                            RuleContext ctx)

### visit

    public java.lang.Object visit(SimpleNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTCompilationUnit node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTContent node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspDirective node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspDirectiveAttribute node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspScriptlet node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspComment node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTText node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTUnparsedText node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTElExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTValueBinding node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTCData node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTElement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTAttribute node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTAttributeValue node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTJspExpressionInAttribute node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTCommentTag node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTDoctypeDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

### visit

    public java.lang.Object visit(ASTDoctypeExternalId node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JspParserVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.